TKN-PIPELINERUN-DELETE(1)

NAME

tkn-pipelinerun-delete - Delete PipelineRuns in a namespace

SYNOPSIS

tkn pipelinerun delete

DESCRIPTION

Delete PipelineRuns in a namespace

OPTIONS

--all[=false]
    Delete all PipelineRuns in a namespace (default: false)

--allow-missing-template-keys[=true]
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

-f, --force[=false]
    Whether to force deletion (default: false)

-h, --help[=false]
    help for delete

--keep=0
    Keep n most recent number of PipelineRuns

--keep-since=0
    When deleting all PipelineRuns keep the ones that has been completed since n minutes

--label=""
    A selector (label query) to filter on when running with --all, supports '=', '==', and '!='

-o, --output=""
    Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file.

-p, --pipeline=""
    The name of a Pipeline whose PipelineRuns should be deleted (does not delete the Pipeline)

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [ ⟨http://golang.org/pkg/text/template/#pkg-overview⟩].

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Delete PipelineRuns with names 'foo' and 'bar' in namespace 'quux':

    tkn pipelinerun delete foo bar -n quux

or

    tkn pr rm foo bar -n quux

SEE ALSO

tkn-pipelinerun(1)